LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDatabaseRegistrations Interface Referencepublished

provides access to the application-wide registered databases. More...

`import"XDatabaseRegistrations.idl";`

Inheritance diagram for XDatabaseRegistrations:

## Public Member Functions
boolean | hasRegisteredDatabase ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException )
| determines whether a database is registered under the given name. More...
sequence< string > | getRegistrationNames ()
| returns the names of all registered databases More...
string | getDatabaseLocation ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException )
| returns the location of the database registered under the given name More...
void | registerDatabaseLocation ([in] string Name, [in] string Location) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::ElementExistException )
| registers a database, given by location, under a given name More...
void | revokeDatabaseLocation ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException , ::com::sun::star::lang::IllegalAccessException )
| revokes the registration of a database, given by name More...
void | changeDatabaseLocation ([in] string Name, [in] string NewLocation) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException , ::com::sun::star::lang::IllegalAccessException )
| changes the location of a given database registration More...
boolean | isDatabaseRegistrationReadOnly ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException )
| determines whether the registration data for a database given by name is read-only. More...
void | addDatabaseRegistrationsListener ([in] XDatabaseRegistrationsListener Listener)
| registers a listener which is notified of changes in the registered databases More...
void | removeDatabaseRegistrationsListener ([in] XDatabaseRegistrationsListener Listener)
| revokes a previously registered listener More...

## Detailed Description

provides access to the application-wide registered databases.

This interface provides a mere wrapper around the respective configuration data, this way hiding the concrete configuration structure from its clients. You should, if possible at all, use this interface, instead of modifying or querying the configuration data directly.

Since
  OOo 3.3

## Member Function Documentation

## ◆ addDatabaseRegistrationsListener()

void addDatabaseRegistrationsListener | ( | [in] XDatabaseRegistrationsListener | Listener | ) |

registers a listener which is notified of changes in the registered databases

## ◆ changeDatabaseLocation()

void changeDatabaseLocation | ( | [in] string | Name,
|  | [in] string | NewLocation
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException ,
|  | ::com::sun::star::container::NoSuchElementException ,
|  | ::com::sun::star::lang::IllegalAccessException
| ) |  |

changes the location of a given database registration

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given name is empty, or the given location is invalid.
  com::sun::star::container::NoSuchElementException | if there is no database registered under this name
  com::sun::star::lang::IllegalAccessException | if the registration data for this database is read-only

## ◆ getDatabaseLocation()

string getDatabaseLocation | ( | [in] string | Name | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException ,
|  | ::com::sun::star::container::NoSuchElementException
| ) |  |

returns the location of the database registered under the given name

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given name is empty
  com::sun::star::container::NoSuchElementException | if there is no database registered under this name

## ◆ getRegistrationNames()

sequence< string > getRegistrationNames | ( |  | ) |

returns the names of all registered databases

## ◆ hasRegisteredDatabase()

boolean hasRegisteredDatabase | ( | [in] string | Name | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

determines whether a database is registered under the given name.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given name is empty

## ◆ isDatabaseRegistrationReadOnly()

boolean isDatabaseRegistrationReadOnly | ( | [in] string | Name | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException ,
|  | ::com::sun::star::container::NoSuchElementException
| ) |  |

determines whether the registration data for a database given by name is read-only.

In this case, attempts to revoke this registration will fail.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given name is empty
  com::sun::star::container::NoSuchElementException | if there is no database registered under this name

## ◆ registerDatabaseLocation()

void registerDatabaseLocation | ( | [in] string | Name,
|  | [in] string | Location
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException ,
|  | ::com::sun::star::container::ElementExistException
| ) |  |

registers a database, given by location, under a given name

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given name is empty, or the given location is invalid.
  com::sun::star::container::ElementExistException | if there already is a databases registered under the given name.

## ◆ removeDatabaseRegistrationsListener()

void removeDatabaseRegistrationsListener | ( | [in] XDatabaseRegistrationsListener | Listener | ) |

revokes a previously registered listener

## ◆ revokeDatabaseLocation()

void revokeDatabaseLocation | ( | [in] string | Name | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException ,
|  | ::com::sun::star::container::NoSuchElementException ,
|  | ::com::sun::star::lang::IllegalAccessException
| ) |  |

revokes the registration of a database, given by name

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given name is empty
  com::sun::star::container::NoSuchElementException | if there is no database registered under this name
  com::sun::star::lang::IllegalAccessException | if the registration data for this database is read-only

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDatabaseRegistrations.idl